function poldot = perlipol(t,pol)
% differential equation for perli.m

global sig rho b gam del A psi phi xi eta xstar ustar qstar stop

%************************* Calculations *****************************

stop=0;
x=pol(1); u=pol(2); q=pol(3);

xdot=A.*x.^b.*u.^(1-b)+psi.*(1-u).*x-q.*x;
udot=eta.*u.^2+psi*(b-1)./b.*u-q.*u;
qdot=q^2+A.*phi.*x.^(b-1).*u.^(1-b).*q-xi.*q;

%************************* Iterations ********************************
ustop=1;
if u<ustop
poldot = [-xdot;-udot;-qdot];
else				% Stop Simulation, Return
stop=1;
poldot = [0;0;0];
end
